package com.qmth.themis.business.util;

import com.qmth.themis.business.constant.SystemConstant;

import java.io.UnsupportedEncodingException;
import java.util.Base64;

public class Base64Util {

    public static String encode(byte[] input) throws UnsupportedEncodingException {
        return new String(Base64.getEncoder().encode(input), SystemConstant.CHARSET_NAME);
    }

    public static byte[] decode(String input) throws UnsupportedEncodingException {
        return Base64.getDecoder().decode(input.getBytes(SystemConstant.CHARSET_NAME));
    }
}
